Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.engine.value.svg
Class GlyphOrientationHorizontalManager

    java.lang.Object
      org.apache.batik.css.engine.value.AbstractValueFactory
          org.apache.batik.css.engine.value.AbstractValueManager
              org.apache.batik.css.engine.value.svg.GlyphOrientationManager
                  org.apache.batik.css.engine.value.svg.GlyphOrientationHorizontalManager

All Implemented Interfaces:
  ValueManager

public class GlyphOrientationHorizontalManager
extends GlyphOrientationManager

This class provides a manager for the 'glyph-orientation-horizontal' property values.

Constructor Summary
`GlyphOrientationHorizontalManager()`

Method Summary
`Value` | `getDefaultValue()` Implements `ValueManager.getDefaultValue()`.
`java.lang.String` | `getPropertyName()` Implements `ValueManager.getPropertyName()`.

Methods inherited from class org.apache.batik.css.engine.value.svg.GlyphOrientationManager
`createFloatValue, createValue, isInheritedProperty`

Methods inherited from class org.apache.batik.css.engine.value.AbstractValueManager
`computeValue, createStringValue`

Methods inherited from class org.apache.batik.css.engine.value.AbstractValueFactory
`createDOMException, createInvalidFloatTypeDOMException, createInvalidFloatValueDOMException, createInvalidIdentifierDOMException, createInvalidLexicalUnitDOMException, createInvalidStringTypeDOMException, createMalformedLexicalUnitDOMException, resolveURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GlyphOrientationHorizontalManager

    public GlyphOrientationHorizontalManager()

Method Detail

### getPropertyName

    public java.lang.String getPropertyName()

  Implements `ValueManager.getPropertyName()`.

  Specified by:
    `getPropertyName` in interface `ValueManager`
  Specified by:
    `getPropertyName` in class `AbstractValueFactory`

### getDefaultValue

    public Value getDefaultValue()

  Implements `ValueManager.getDefaultValue()`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.